#
# spec file for package ghc-rest-core
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name rest-core
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.39
Release:        lp150.1.10
Summary:        Rest API library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/8.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-utils-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-errors-devel
BuildRequires:  ghc-fclabels-devel
BuildRequires:  ghc-hxt-devel
BuildRequires:  ghc-hxt-pickle-utils-devel
BuildRequires:  ghc-json-schema-devel
BuildRequires:  ghc-mtl-compat-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-multipart-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rest-stringmap-devel
BuildRequires:  ghc-rest-types-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uri-encode-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-uuid-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
Rest API library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri Jul 28 2017 psimons@suse.com
- Update to version 0.39 revision 8.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.39 revision 7 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.39 revision 6 with cabal2obs.
* Sun Mar 26 2017 psimons@suse.com
- Update to version 0.39 revision 5 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.39 revision 4 with cabal2obs.
* Sun Nov 27 2016 psimons@suse.com
- Update to version 0.39 revision 3 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.39 revision 2 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.39 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.39 revision 0 with cabal2obs.
